Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.extensions.digitalasset
Interface DigitalAssetResourceSerializer<I extends DigitalAssetID,M extends DigitalAssetMetaData>

    public interface DigitalAssetResourceSerializer<I extends DigitalAssetID,M extends DigitalAssetMetaData>

Serializes and deserializes the Digital Asset ID and meta data.

Since:
  8.5.cf3

Method Summary
`I` | `deserializeDigitalAssetID(java.lang.String serializedID)` Converts serialized ID String back into DigitalAssetID
`M` | `deserializeDigitalAssetMetaData(java.lang.String serializedMeta)` Converts serialized Meta String back into DigitalAssetMetaData
`java.lang.String` | `serializeDigitalAssetID(I id)` Converts a DigitalAssetID into a string representation.
`java.lang.String` | `serializeDigitalAssetMetaData(M meta)` Converts a DigitalAssetMetaData into a string representation.

Method Detail

### serializeDigitalAssetID

    java.lang.String serializeDigitalAssetID(I id)
                                             throws DigitalAssetIDSerializationException

  Converts a DigitalAssetID into a string representation. This is used by WCM when saving the resource

  Parameters:
    `id` - DigitalAssetID to be converted
  Returns:
    String representation of the ID
  Throws:
    `DigitalAssetIDSerializationException` - thrown if any exception occurred attempting to serialize the ID

### deserializeDigitalAssetID

    I deserializeDigitalAssetID(java.lang.String serializedID)
                                                       throws DigitalAssetIDSerializationException

  Converts serialized ID String back into DigitalAssetID

  Parameters:
    `serializedID` - Serialized ID to convert back into a DigitalAssetID
  Returns:
    DigitalAssetID that represents the serializedId
  Throws:
    `DigitalAssetIDSerializationException` - thrown if any exception occurred attempting to deserialize the ID

### serializeDigitalAssetMetaData

    java.lang.String serializeDigitalAssetMetaData(M meta)
                                                   throws DigitalAssetMetaDataSerializationException

  Converts a DigitalAssetMetaData into a string representation. This is used by WCM when saving the resource

  Parameters:
    `meta` - DigitalAssetMetaData to be converted
  Returns:
    String representation of the Meta Data
  Throws:
    `DigitalAssetMetaDataSerializationException` - thrown if any exception occurred attempting to serialize the ID

### deserializeDigitalAssetMetaData

    M deserializeDigitalAssetMetaData(java.lang.String serializedMeta)
                                                                   throws DigitalAssetMetaDataSerializationException

  Converts serialized Meta String back into DigitalAssetMetaData

  Parameters:
    `serializedMeta` - Serialized Meta to convert back into a DigitalAssetMetaData
  Returns:
    DigitalAssetMetaData that represents the serializedId
  Throws:
    `DigitalAssetMetaDataSerializationException` - thrown if any exception occurred attempting to deserialize the ID

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD